Package org.apache.sling.distribution.journal.messages

## Class PackageDistributedMessage

- java.lang.Object
- - org.apache.sling.distribution.journal.messages.PackageDistributedMessage

    public class PackageDistributedMessage
    extends Object

### Field Summary

Fields
`String[]` `deepPaths`
`long` `offset`
`String` `packageId`
`String[]` `paths`
`String` `pubAgentName`

### Constructor Summary

Constructors
`PackageDistributedMessage()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pubAgentName

    public String pubAgentName

#### packageId

    public String packageId

#### deepPaths

    public String[] deepPaths

#### paths

    public String[] paths

#### offset

    public long offset

### Constructor Detail

#### PackageDistributedMessage

    public PackageDistributedMessage()